<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/ParticleCollection.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ParticleCollection.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_particle_collection_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_particle_collection_8h.html">eicd/ParticleCollection.h</a>&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// standard includes</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;stdexcept&gt;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;iomanip&gt;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#a81e090070e1bc68104279f5d471d7bbd">   13</a></span>&#160;<a class="code" href="classeic_1_1_particle_collection.html#a81e090070e1bc68104279f5d471d7bbd">ParticleCollection::ParticleCollection</a>() :</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;  m_isValid(false), m_collectionID(0), m_entries(),</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;  m_data(new <a class="code" href="namespaceeic.html#a5968a844f7dfc726e5e42b9f0940e001">ParticleDataContainer</a>()) {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;}</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#a74abe8167f230984a26c994f354a202d">   18</a></span>&#160;<a class="code" href="classeic_1_1_particle_collection.html#a74abe8167f230984a26c994f354a202d">ParticleCollection::~ParticleCollection</a>() {</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;  <a class="code" href="classeic_1_1_particle_collection.html#ab49d300f61e1c3424cbaf8cc29d40335">clear</a>();</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;}</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#a73bc05f89a7f9e5480a9d64150199728">   23</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_particle.html">Particle</a> <a class="code" href="classeic_1_1_particle_collection.html#a73bc05f89a7f9e5480a9d64150199728">ParticleCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_particle.html">Particle</a>(m_entries[index]);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#ae383cd04704865a626e8d6e865a94557">   27</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_particle.html">Particle</a> <a class="code" href="classeic_1_1_particle_collection.html#ae383cd04704865a626e8d6e865a94557">ParticleCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_particle.html">Particle</a>(m_entries.at(index));</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#a4a4a1b8c2fa9ba57cc83f24b4e76eafc">   31</a></span>&#160;<a class="code" href="classeic_1_1_particle.html">Particle</a> <a class="code" href="classeic_1_1_particle_collection.html#a73bc05f89a7f9e5480a9d64150199728">ParticleCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_particle.html">Particle</a>(m_entries[index]);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#a91dc421ccdec382e1918c06f3a21a7ba">   35</a></span>&#160;<a class="code" href="classeic_1_1_particle.html">Particle</a> <a class="code" href="classeic_1_1_particle_collection.html#ae383cd04704865a626e8d6e865a94557">ParticleCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_particle.html">Particle</a>(m_entries.at(index));</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;}</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#a177bef82bb6046756354758f7f7d9fa7">   39</a></span>&#160;<span class="keywordtype">size_t</span> <a class="code" href="classeic_1_1_particle_collection.html#a177bef82bb6046756354758f7f7d9fa7">ParticleCollection::size</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <span class="keywordflow">return</span> m_entries.size();</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#a3ad32f2ba25e4ae9985414f6b6b973e2">   43</a></span>&#160;<a class="code" href="classeic_1_1_particle.html">Particle</a> <a class="code" href="classeic_1_1_particle_collection.html#a3ad32f2ba25e4ae9985414f6b6b973e2">ParticleCollection::create</a>() {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <span class="keyword">auto</span> obj = m_entries.emplace_back(<span class="keyword">new</span> <a class="code" href="classeic_1_1_particle_obj.html">ParticleObj</a>());</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  obj-&gt;id = {int(m_entries.size() - 1), m_collectionID};</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_particle.html">Particle</a>(obj);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;}</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#ab49d300f61e1c3424cbaf8cc29d40335">   50</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_particle_collection.html#ab49d300f61e1c3424cbaf8cc29d40335">ParticleCollection::clear</a>() {</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  m_data-&gt;clear();</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { <span class="keyword">delete</span> obj; }</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  m_entries.clear();</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;}</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#abf4c8394f9821f4bf9d48e9b73c8b2cb">   56</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_particle_collection.html#abf4c8394f9821f4bf9d48e9b73c8b2cb">ParticleCollection::prepareForWrite</a>() {</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> <a class="code" href="classeic_1_1_particle_collection.html#a177bef82bb6046756354758f7f7d9fa7">size</a> = m_entries.size();</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  m_data-&gt;reserve(<a class="code" href="classeic_1_1_particle_collection.html#a177bef82bb6046756354758f7f7d9fa7">size</a>);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { m_data-&gt;push_back(obj-&gt;data); }</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { pointer-&gt;clear(); }</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;}</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#ab13191a9fb3c16ddd8d41181f56ac6ba">   65</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_particle_collection.html#ab13191a9fb3c16ddd8d41181f56ac6ba">ParticleCollection::prepareAfterRead</a>() {</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keywordtype">int</span> index = 0;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; data : *m_data) {</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keyword">auto</span> obj = <span class="keyword">new</span> <a class="code" href="classeic_1_1_particle_obj.html">ParticleObj</a>({index, m_collectionID}, data);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    m_entries.emplace_back(obj);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    ++index;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  }</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  m_isValid = <span class="keyword">true</span>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;}</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#ab404c72fa459db951b561292be0c2f51">   76</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_particle_collection.html#ab404c72fa459db951b561292be0c2f51">ParticleCollection::setReferences</a>(<span class="keyword">const</span> podio::ICollectionProvider* collectionProvider) {</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">true</span>; <span class="comment">//TODO: check success</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;}</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#a5e2fddde4ca6d1d6803bede49863a76c">   81</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_particle_collection.html#a5e2fddde4ca6d1d6803bede49863a76c">ParticleCollection::push_back</a>(<a class="code" href="classeic_1_1_const_particle.html">ConstParticle</a> <span class="keywordtype">object</span>) {</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_particle_collection.html#a177bef82bb6046756354758f7f7d9fa7">size</a> = m_entries.size();</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  <span class="keyword">auto</span> obj = <span class="keywordtype">object</span>.m_obj;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keywordflow">if</span> (obj-&gt;id.index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    obj-&gt;id = {<a class="code" href="classeic_1_1_particle_collection.html#a177bef82bb6046756354758f7f7d9fa7">size</a>, m_collectionID};</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    m_entries.push_back(obj);</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordflow">throw</span> std::invalid_argument(<span class="stringliteral">&quot;Object already in a collection. Cannot add it to a second collection&quot;</span>);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  }</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;}</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection.html#a3e152b1320e5d8c0e3d875c08b7cfce1">   93</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_particle_collection.html#a3e152b1320e5d8c0e3d875c08b7cfce1">ParticleCollection::setBuffer</a>(<span class="keywordtype">void</span>* address) {</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  m_data = <span class="keyword">static_cast&lt;</span><a class="code" href="namespaceeic.html#a5968a844f7dfc726e5e42b9f0940e001">ParticleDataContainer</a>*<span class="keyword">&gt;</span>(address);</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;}</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection_iterator.html#ae035ecda0df21ec2cb5fe2d75966255a">   98</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_particle.html">Particle</a> <a class="code" href="classeic_1_1_particle_collection_iterator.html#ae035ecda0df21ec2cb5fe2d75966255a">ParticleCollectionIterator::operator*</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordflow">return</span> m_object;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;}</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection_iterator.html#a71d6751c1af730aa1fc45e102efb4cb5">  103</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_particle.html">Particle</a>* <a class="code" href="classeic_1_1_particle_collection_iterator.html#a71d6751c1af730aa1fc45e102efb4cb5">ParticleCollectionIterator::operator-&gt;</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  <span class="keywordflow">return</span> &amp;m_object;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;}</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classeic_1_1_particle_collection_iterator.html#a3d1cfd24d42218f53f71cab1af9615ec">  108</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_particle_collection_iterator.html">ParticleCollectionIterator</a>&amp; <a class="code" href="classeic_1_1_particle_collection_iterator.html#a3d1cfd24d42218f53f71cab1af9615ec">ParticleCollectionIterator::operator++</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  ++m_index;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;}</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="namespaceeic.html#a085c0f7910fb67472f0dc503eb74918e">  113</a></span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_particle_collection.html">ParticleCollection</a>&amp; <a class="code" href="classeic_1_1_particle_collection.html#a8a683f3d1bcbd5d01c42c8a2e9e0551a">v</a>) {</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  <span class="keyword">const</span> <span class="keyword">auto</span> old_flags = o.flags();</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot;          id:                              p [ px, py, pz, m]:                                 v [ x, y, z, t]:         pid:      status:&quot;</span> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">size_t</span> i = 0; i &lt; v.<a class="code" href="classeic_1_1_particle_collection.html#a177bef82bb6046756354758f7f7d9fa7">size</a>(); ++i) {</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    o &lt;&lt; std::scientific &lt;&lt; std::showpos &lt;&lt; std::setw(12) &lt;&lt; v[i].id() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_particle_collection.html#a6a4266505ac69bc5eb711419257b2244">p</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_particle_collection.html#a8a683f3d1bcbd5d01c42c8a2e9e0551a">v</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_particle_collection.html#af671534e628dcee45088ed5ed7d810e8">pid</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].<a class="code" href="classeic_1_1_particle_collection.html#ae8f7b31d74e36deac74b6fa1bb2d8f6d">status</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;      &lt;&lt; std::endl;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;  }</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;  o.flags(old_flags);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;}</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="ttc" id="classeic_1_1_particle_collection_html_ab49d300f61e1c3424cbaf8cc29d40335"><div class="ttname"><a href="classeic_1_1_particle_collection.html#ab49d300f61e1c3424cbaf8cc29d40335">eic::ParticleCollection::clear</a></div><div class="ttdeci">void clear() override final</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00050">ParticleCollection.cc:50</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_a3e152b1320e5d8c0e3d875c08b7cfce1"><div class="ttname"><a href="classeic_1_1_particle_collection.html#a3e152b1320e5d8c0e3d875c08b7cfce1">eic::ParticleCollection::setBuffer</a></div><div class="ttdeci">void setBuffer(void *address) override final</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00093">ParticleCollection.cc:93</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_iterator_html_a3d1cfd24d42218f53f71cab1af9615ec"><div class="ttname"><a href="classeic_1_1_particle_collection_iterator.html#a3d1cfd24d42218f53f71cab1af9615ec">eic::ParticleCollectionIterator::operator++</a></div><div class="ttdeci">const ParticleCollectionIterator &amp; operator++() const</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00108">ParticleCollection.cc:108</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_iterator_html_a71d6751c1af730aa1fc45e102efb4cb5"><div class="ttname"><a href="classeic_1_1_particle_collection_iterator.html#a71d6751c1af730aa1fc45e102efb4cb5">eic::ParticleCollectionIterator::operator-&gt;</a></div><div class="ttdeci">const Particle * operator-&gt;() const</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00103">ParticleCollection.cc:103</a></div></div>
<div class="ttc" id="classeic_1_1_particle_obj_html"><div class="ttname"><a href="classeic_1_1_particle_obj.html">eic::ParticleObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_particle_obj_8h_source.html#l00018">ParticleObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_iterator_html_ae035ecda0df21ec2cb5fe2d75966255a"><div class="ttname"><a href="classeic_1_1_particle_collection_iterator.html#ae035ecda0df21ec2cb5fe2d75966255a">eic::ParticleCollectionIterator::operator*</a></div><div class="ttdeci">const Particle operator*() const</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00098">ParticleCollection.cc:98</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_ab404c72fa459db951b561292be0c2f51"><div class="ttname"><a href="classeic_1_1_particle_collection.html#ab404c72fa459db951b561292be0c2f51">eic::ParticleCollection::setReferences</a></div><div class="ttdeci">bool setReferences(const podio::ICollectionProvider *collectionProvider) override final</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00076">ParticleCollection.cc:76</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_ae8f7b31d74e36deac74b6fa1bb2d8f6d"><div class="ttname"><a href="classeic_1_1_particle_collection.html#ae8f7b31d74e36deac74b6fa1bb2d8f6d">eic::ParticleCollection::status</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; status() const</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8h_source.html#l00194">ParticleCollection.h:194</a></div></div>
<div class="ttc" id="classeic_1_1_const_particle_html"><div class="ttname"><a href="classeic_1_1_const_particle.html">eic::ConstParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_particle_const_8h_source.html#l00025">ParticleConst.h:25</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_a73bc05f89a7f9e5480a9d64150199728"><div class="ttname"><a href="classeic_1_1_particle_collection.html#a73bc05f89a7f9e5480a9d64150199728">eic::ParticleCollection::operator[]</a></div><div class="ttdeci">const Particle operator[](unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00023">ParticleCollection.cc:23</a></div></div>
<div class="ttc" id="_particle_collection_8h_html"><div class="ttname"><a href="_particle_collection_8h.html">ParticleCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_abf4c8394f9821f4bf9d48e9b73c8b2cb"><div class="ttname"><a href="classeic_1_1_particle_collection.html#abf4c8394f9821f4bf9d48e9b73c8b2cb">eic::ParticleCollection::prepareForWrite</a></div><div class="ttdeci">void prepareForWrite() override final</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00056">ParticleCollection.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_ab13191a9fb3c16ddd8d41181f56ac6ba"><div class="ttname"><a href="classeic_1_1_particle_collection.html#ab13191a9fb3c16ddd8d41181f56ac6ba">eic::ParticleCollection::prepareAfterRead</a></div><div class="ttdeci">void prepareAfterRead() override final</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00065">ParticleCollection.cc:65</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_a81e090070e1bc68104279f5d471d7bbd"><div class="ttname"><a href="classeic_1_1_particle_collection.html#a81e090070e1bc68104279f5d471d7bbd">eic::ParticleCollection::ParticleCollection</a></div><div class="ttdeci">ParticleCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00013">ParticleCollection.cc:13</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_a177bef82bb6046756354758f7f7d9fa7"><div class="ttname"><a href="classeic_1_1_particle_collection.html#a177bef82bb6046756354758f7f7d9fa7">eic::ParticleCollection::size</a></div><div class="ttdeci">size_t size() const override final</div><div class="ttdoc">number of elements in the collection </div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00039">ParticleCollection.cc:39</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_a6a4266505ac69bc5eb711419257b2244"><div class="ttname"><a href="classeic_1_1_particle_collection.html#a6a4266505ac69bc5eb711419257b2244">eic::ParticleCollection::p</a></div><div class="ttdeci">const std::array&lt; eic::VectorPxPyPzM, arraysize &gt; p() const</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8h_source.html#l00164">ParticleCollection.h:164</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html"><div class="ttname"><a href="classeic_1_1_particle_collection.html">eic::ParticleCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8h_source.html#l00050">ParticleCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_a5e2fddde4ca6d1d6803bede49863a76c"><div class="ttname"><a href="classeic_1_1_particle_collection.html#a5e2fddde4ca6d1d6803bede49863a76c">eic::ParticleCollection::push_back</a></div><div class="ttdeci">void push_back(ConstParticle object)</div><div class="ttdoc">Append object to the collection. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00081">ParticleCollection.cc:81</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_ae383cd04704865a626e8d6e865a94557"><div class="ttname"><a href="classeic_1_1_particle_collection.html#ae383cd04704865a626e8d6e865a94557">eic::ParticleCollection::at</a></div><div class="ttdeci">const Particle at(unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00027">ParticleCollection.cc:27</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_a8a683f3d1bcbd5d01c42c8a2e9e0551a"><div class="ttname"><a href="classeic_1_1_particle_collection.html#a8a683f3d1bcbd5d01c42c8a2e9e0551a">eic::ParticleCollection::v</a></div><div class="ttdeci">const std::array&lt; eic::VectorXYZT, arraysize &gt; v() const</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8h_source.html#l00174">ParticleCollection.h:174</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_a74abe8167f230984a26c994f354a202d"><div class="ttname"><a href="classeic_1_1_particle_collection.html#a74abe8167f230984a26c994f354a202d">eic::ParticleCollection::~ParticleCollection</a></div><div class="ttdeci">~ParticleCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00018">ParticleCollection.cc:18</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_a3ad32f2ba25e4ae9985414f6b6b973e2"><div class="ttname"><a href="classeic_1_1_particle_collection.html#a3ad32f2ba25e4ae9985414f6b6b973e2">eic::ParticleCollection::create</a></div><div class="ttdeci">Particle create()</div><div class="ttdoc">Append a new object to the collection, and return this object. </div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8cc_source.html#l00043">ParticleCollection.cc:43</a></div></div>
<div class="ttc" id="namespaceeic_html_a5968a844f7dfc726e5e42b9f0940e001"><div class="ttname"><a href="namespaceeic.html#a5968a844f7dfc726e5e42b9f0940e001">eic::ParticleDataContainer</a></div><div class="ttdeci">std::vector&lt; ParticleData &gt; ParticleDataContainer</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8h_source.html#l00026">ParticleCollection.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_particle_collection_iterator.html">eic::ParticleCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8h_source.html#l00029">ParticleCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_particle_collection_html_af671534e628dcee45088ed5ed7d810e8"><div class="ttname"><a href="classeic_1_1_particle_collection.html#af671534e628dcee45088ed5ed7d810e8">eic::ParticleCollection::pid</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; pid() const</div><div class="ttdef"><b>Definition:</b> <a href="_particle_collection_8h_source.html#l00184">ParticleCollection.h:184</a></div></div>
<div class="ttc" id="classeic_1_1_particle_html"><div class="ttname"><a href="classeic_1_1_particle.html">eic::Particle</a></div><div class="ttdef"><b>Definition:</b> <a href="_particle_8h_source.html#l00027">Particle.h:27</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
